<?php

  // Rellenar con nuestras API secret y API key
$api_key = 'xxxxxxxxxx';
$api_sec = 'xxxxxxxxxxxxxxxxxxxxxxxxxxxx';

require_once('facebook_ext.php');

// Definimos códigos de error
define(NOT_INSTALLED,      1);
define(NO_PERMISSIONS,     2);
define(MALFORMED_ARRAY,   90);

$facebook = new FacebookExtended(array(  
				       'appId'  => $api_key,
				       'secret' => $api_sec,
				       'cookie' => true ,
					 ));

try
{
  
  $sesion = $facebook->getUser();
  if (!$sesion)
    throw new Exception('Aplicación no instalada', NOT_INSTALLED);

  echo "Estamos identificados en Facebook<br/>";
  echo "Usuario: ".$sesion."<br/>";

  $permissions = $facebook->askForPermissions('publish_stream,offline_access'); 
    
  if (!$permissions)
    throw new Exception('No tengo permisos suficientes', NO_PERMISSIONS);
  
  echo "No tienes que hacer nada, cierra esta ventana.";
} 
catch (FacebookException $e)
{
  // Capturamos errores de Facebook, como timeouts de la API, accesos
  // erróneos, etc
  echo "Error de Facebook: ".$e->getCode().": ".$e->getMessage();
}
catch (Exception $e)
{
  switch ($e->getCode())
    {
    case NOT_INSTALLED: 
      $facebook->loginUser();
      break;
    case NO_PERMISSIONS:
      $facebook->loginUser('publish_stream,offline_access');
      break;

    case MALFORMED_ARRAY:
      echo $e->getMessage();
      break;

    default:
      echo "Ocurrió un error no identificado";
    }
}
?>